# pull official base image
FROM python:3.9-slim-buster

# set work directory
WORKDIR /app

# set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# install dependencies
RUN apt-get update && apt-get -y dist-upgrade && apt-get install -y gettext
RUN apt-get -y install build-essential libssl-dev libffi-dev libblas3 libc6 liblapack3 gcc python3-dev python3-pip cython3
RUN apt-get -y install python3-numpy python3-scipy
RUN apt install -y netcat

# install dependencies
RUN pip install --upgrade pip
COPY ../requirements.txt .
RUN pip install -r requirements.txt

# copy entrypoint.sh
COPY ../entrypoint.prod.sh .
RUN sed -i 's/\r$//g' /app/entrypoint.prod.sh
RUN chmod +x /app/entrypoint.prod.sh

# copy project
COPY ../ /app

# run entrypoint.sh
ENTRYPOINT ["/app/entrypoint.prod.sh"]
